| GET | /RestApi/diagnostics/sites/{forContentType} |
|---|
namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
type ContentType =
| Pages = 0
| Libraries = 1
[<AllowNullLiteral>]
type GetSites() =
member val ForContentType:ContentType = new ContentType() with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/sites/{forContentType} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
[{"Title":"String"}]